// import {
//   select,
//   json,
//   csv,
//   geoPath,
//   geoMercator,
//   scaleOrdinal,
//   schemeCategory10,
// } from 'd3';
// import { feature } from 'topojson';

// // URLs for data
// const crimeDataUrl =
//   'https://gist.githubusercontent.com/nitanagdeote/89cc014b03149229e2b3c4f902e1423f/raw/1d95526c0b7908d8cb289e2b27f3997530202beb/gistfile1.txt';
// const mapDataUrl =
//   'https://raw.githubusercontent.com/datameet/indian-district-boundaries/master/topojson/india-districts-2019-734.json';

// // Set up map projection and path generator
// const projection = geoMercator()
//   .translate([800, 600])
//   .scale([1000]);
// const pathGenerator = geoPath().projection(projection);

// // Set up color scales
// const colorScale = scaleOrdinal(schemeCategory10);

// // Fetch and process data
// Promise.all([json(mapDataUrl), csv(crimeDataUrl)])
//   .then(([mapData, crimeData]) => {
//     // Extract geographic features
//     const countryShapes = feature(
//       mapData,
//       mapData.objects['india-districts-2019-734'],
//     ).features;

//     // Create a map to easily access crime data by state
//     const crimeDataMap = new Map();
//     crimeData.forEach((d) => {
//       crimeDataMap.set(
//         d['State/UT'],
//         d['Rate of Total Crime against Women(2022)'],
//       );
//     });

//     // Combine geographic and crime data
//     countryShapes.forEach((d) => {
//       const stateName = d.properties.NAME_1; // Adjust property name based on your data structure
//       d.properties.crimeRate =
//         crimeDataMap.get(stateName) || 0;
//     });

//     // Create the SVG and render the map
//     const svg = select('body')
//       .append('svg')
//       .attr('width', 1200)
//       .attr('height', 800);

//     svg
//       .selectAll('path')
//       .data(countryShapes)
//       .enter()
//       .append('path')
//       .attr('class', 'district')
//       .attr('stroke', 'black')
//       .attr('fill', (d) =>
//         colorScale(d.properties.crimeRate),
//       )
//       .attr('d', pathGenerator)
//       .append('title')
//       .text(
//         (d) =>
//           `${d.properties.NAME_1}: ${d.properties.crimeRate}`,
//       );
//   })
//   .catch((error) => {
//     console.error(
//       'Error loading or processing data:',
//       error,
//     );
//   });
